Bug 891811 - (CVE-2013-0769) CVE-2013-0769 Mozilla: Miscellaneous memory safety hazards (rv:10.0.12) (MFSA 2013-01)
CVE-2013-0769 Mozilla: Miscellaneous memory safety hazards (rv:10.0.12) (MFSA...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130108,repor...
: Security
Depends On:
Blocks: 890133
  Show dependency treegraph
 
Reported: 2013-01-03 23:52 EST by Huzaifa S. Sidhpurwala
Modified: 2013-04-12 12:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 12:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-01-03 23:52:08 EST
Mozilla developers identified and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.

Christoph Diehl, Christian Holler, Mats Palmgren, and Chiaki Ishikawa reported memory safety problems and crashes that affect Firefox ESR 10, Firefox ESR 17, and Firefox 17.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-01.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Christoph Diehl, Christian Holler, Mats Palmgren, and Chiaki Ishikawa as the original reporter.
Comment 1 errata-xmlrpc 2013-01-08 16:17:01 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0145 https://rhn.redhat.com/errata/RHSA-2013-0145.html
Comment 2 errata-xmlrpc 2013-01-08 16:38:54 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0144 https://rhn.redhat.com/errata/RHSA-2013-0144.html

Note You need to log in before you can comment on or make changes to this bug.